import {  createApp } from 'vue'
//in your `main.js` file
import 'bootstrap/dist/css/bootstrap.min.css'
import '@coreui/coreui/dist/css/coreui.min.css'
import VueSweetalert2 from 'vue-sweetalert2';
import 'sweetalert2/dist/sweetalert2.min.css';

import CoreuiVue from '@coreui/vue';
import App from './App.vue'
import { CIcon } from '@coreui/icons-vue';
import * as icon from '@coreui/icons';
import { createRouter, createWebHistory } from 'vue-router';
import Criteria from './components/Criteria.vue';
import Agents from './components/Agents.vue'
import AgentDetail from './components/AgentDetail.vue'
import Rules from './components/Rules.vue'
const router = createRouter({
    history: createWebHistory(),
    routes: [
      { path: '/', component: Criteria },
      { path: '/agents', component: Agents},
      { path: '/agent/:id', component: AgentDetail },   
      { path: '/rules', component: Rules },
    ]
  });
export default router;
const app = createApp(App)
app.provide('icons', icon)
app.component('CIcon', CIcon)
app.use(router);
app.use(VueSweetalert2);
app.use(CoreuiVue).mount('#app')
